<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<%@taglib prefix="t" uri="/WEB-INF/eclnt"%>
<%@taglib prefix="ccaddons" uri="/WEB-INF/ccaddons"%>


<!-- ========== CONTENT BEGIN ========== -->
<f:view>
<h:form>
<f:subview id="org_eclnt_ccaddons_pojo_pagebeans_tools_CCBeanToolXMLCreatorg_sv">
<t:pagebeanroot id="g_1" >
<t:pane id="g_2" comment="Only one component is allowed below pagebeanroot!" height="100%" width="100%" >
<t:beanprocessing id="g_3" beanbinding="#{d.CCBeanToolXMLCreator}" />
<t:rowbodypane id="g_4" padding="0" rowdistance="5" >
<t:row id="g_5" >
<t:pane id="g_6" padding="10" width="100%" >
<t:row id="g_7" >
<t:textpane id="g_8" text="This tool creates the repository-xml file for defining the CRUD-user-interface for Pojo-Classes. The persistence is managed by using the CCEE-persistence management." width="100%" />
</t:row>
</t:pane>
</t:row>
<t:row id="g_9" >
<t:tabbedpane id="g_10" height="100%" innerpadding="0" width="100%" >
<t:tabbedpanetab id="g_11" rowdistance="5" text="Configuration" >
<t:rowbodypane id="g_12" padding="10" rowdistance="5" >
<t:row id="g_13" >
<t:label id="g_14" labeltext="Configuration name" text="#{d.CCBeanToolXMLCreator.toolConfig.name}" width="100%" />
</t:row>
<t:row id="g_15" >
<t:label id="g_16" cutwidth="true" labeltext="Project directory" text="#{d.CCBeanToolXMLCreator.projectDirectory}" width="100%" />
</t:row>
<t:rowdistance id="g_17" height="20" />
<t:row id="g_18" coldistance="20" >
<t:pane id="g_19" height="100%" rowdistance="5" width="100%" >
<t:row id="g_20" >
<t:fixgrid id="g_21" height="100%" objectbinding="#{d.CCBeanToolXMLCreator.grid}" width="100%" >
<t:gridcol id="g_22" text="Pojo - classes" width="100%" >
<t:field id="g_23" placeholder="&lt;package&gt;.&lt;className&gt; - Example: org.xxx.yyy.Article" text=".{classInfo.name}" />
</t:gridcol>
<t:gridcol id="g_24" width="30" >
<t:icon id="g_25" actionListener=".{onRemoveItemAction}" image="/org/eclnt/ccaddons/pojo/pagebeans/resources/remove.svg" />
</t:gridcol>
</t:fixgrid>
</t:row>
<t:row id="g_26" >
<t:button id="g_27" actionListener="#{d.CCBeanToolXMLCreator.onNewAction}" text="Add class" width="100+" />
</t:row>
</t:pane>
<t:pane id="g_28" height="100%" rendered="false" rowdistance="5" width="100%" >
<t:row id="g_29" >
<t:fixgrid id="g_30" height="100%" objectbinding="#{d.CCBeanToolXMLCreator.servicesGrid}" width="100%" >
<t:gridcol id="g_31" text="Service" width="100%" >
<t:field id="g_32" text=".{serviceInfo.name}" />
</t:gridcol>
<t:gridcol id="g_33" text="Method" width="100%" >
<t:field id="g_34" text=".{serviceInfo.method}" />
</t:gridcol>
<t:gridcol id="g_35" width="30" >
<t:icon id="g_36" actionListener=".{onRemoveItemAction}" image="/org/eclnt/ccaddons/pojo/pagebeans/resources/remove.svg" />
</t:gridcol>
</t:fixgrid>
</t:row>
<t:row id="g_37" >
<t:button id="g_38" actionListener="#{d.CCBeanToolXMLCreator.onNewServiceAction}" text="New..." width="100+" />
</t:row>
</t:pane>
</t:row>
</t:rowbodypane>
</t:tabbedpanetab>
<t:tabbedpanetab id="g_39" rowdistance="5" text="XML Generation" >
<t:rowbodypane id="g_40" padding="10" rowdistance="5" >
<t:rowdistance id="g_41" height="20" />
<t:row id="g_42" >
<t:button id="g_43" actionListener="#{d.CCBeanToolXMLCreator.onGenerateAction}" text="Generate" width="100+" />
</t:row>
<t:rowdistance id="g_44" height="20" />
<t:row id="g_45" >
<t:textarea id="g_46" background="#404040" enabled="false" font="family:Courier New" foreground="#c5e0b3" height="100%" labeltext="Generated XML" labeltextforeground="#c5e0b3" linewrap="false" text="#{d.CCBeanToolXMLCreator.generatedXML}" width="100%" />
</t:row>
</t:rowbodypane>
</t:tabbedpanetab>
</t:tabbedpane>
</t:row>
</t:rowbodypane>
<t:rowfooter id="g_47" >
<t:coldistance id="g_48" width="100%" />
<t:button id="g_49" actionListener="#{d.CCBeanToolXMLCreator.onSaveAction}" text="Save &amp; Generate" width="200+" />
</t:rowfooter>
</t:pane>
</t:pagebeanroot>
<t:pageaddons id="g_pa"/>
</f:subview>
</h:form>
</f:view>
<!-- ========== CONTENT END ========== -->
